Page MenuHomePhabricator

[Task] Add monolingual language code mnc
Closed, ResolvedPublic

Description

Please add the language code mnc to the list of language codes supported for monolingual text values.

Usage example: {{lang|mnc|ᡥᠠᡵᠪᡳᠨ}}.

This is for [[:en:Manchu language]] support in [[Property:P1705]] of Wikidata.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterAdd monolingual language code mnc

Event Timeline

Popolon created this task.Jun 14 2016, 3:01 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 14 2016, 3:01 PM

Wikidata element : Q42956 (I add mn, waiting for mnc value to exist).

This is blocking bug, mn (mongol) != mnc manchu, a toungouse language, not a mongolian one, but near rules or writting and same script familly, so this allow to display nicely text, but information is erroneous. We have a lot of mnc entries name on wikipedia (fr/en/zh mainly).

thiemowmde renamed this task from Add monolingual language code mnc to [Task] Add monolingual language code mnc.Aug 31 2016, 7:42 AM
thiemowmde triaged this task as High priority.
thiemowmde added a subscriber: thiemowmde.

Do I understand correctly that we need vertical script support before we can enable this?

Do I understand correctly that we need vertical script support before we can enable this?

If you are asking the font: http://abkai.net/core/download/abkai-xanyan/ or other options on https://en.wikipedia.org/wiki/Template:MongolUnicode/doc#Font_issues.

I'm sorry, these fonts are not free-licensed, so no one can be used for UniversalLanguageSelector .

What do you mean with "vertical script support"? As far as I understand there is nothing the Wikibase software can "support" in addition to what it already does. We do allow Unicode. As long as the sequence of characters a user wants to enter does exist in Unicode, there is nothing we do that prevents him from doing this.

A typical issue is how rare characters are rendered (how they look and how they are arranged). This is a complicated topic that involves operating system support, web browser support and optionally web fonts. I believe this is nothing we can solve in the Wikibase software. Maybe ask the UniversalLanguageSelector team?

I believe we should add the code mnc to our white-list simply because users are already misusing mn when they can not find mnc. I believe this is worse than anything else. The rendering will not get worse when we do allow this code.

Change 311992 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Add monolingual language code mnc

https://gerrit.wikimedia.org/r/311992

I did a global search to verify this. In contrast to "mn-Mong" (see T137810), "mnc" is already supported in all ULS, CLDR and Babel extensions. So I believe this is fine to go in.

Hoi,
Having a font has never been a prequisite for support in MediaWiki. It has
been a reason to support the development of a Freely licensed font or to
support talks on the licensing of an existing font.
Thanks,

GerardM

Change 311992 merged by jenkins-bot:
Add monolingual language code mnc

https://gerrit.wikimedia.org/r/311992

hoo closed this task as Resolved.Sep 25 2016, 10:57 PM
hoo moved this task from Review to Done on the Wikidata-Sprint-2016-09-21 board.
hoo removed a project: Patch-For-Review.